Shop points
List Point Transactions
Get a paginated list of user's point transactions
GET
/{locale}/shop/pointsGet a paginated list of user's point transactions
Authorization
bearerAuth AuthorizationBearer <token>
Enter JWT token in the format: Bearer {token}
In: header
Path Parameters
locale*string
Locale code
Query Parameters
page?integer
Page number
per_page?integer
Items per page (max 50)
Range
value <= 50card_id?integer
Filter by specific loyalty card
type?string
Filter by transaction type
Value in
- "earned"
- "spent"
- "bonus"
- "expired"
- "refund"
date_from?string
Filter transactions from date
Format
datedate_to?string
Filter transactions to date
Format
dateResponse Body
application/json
application/json
curl -X GET "https://example.com/en/shop/points"{ "success": true, "data": [ { "id": 1, "loyalty_card_id": 1, "points": 100, "type": "earned", "description": "Purchase at Partner Store", "reference_id": "ORDER-123456", "card": { "id": 1, "card_name": "My Loyalty Card", "card_number": "LC00000001" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "meta": { "current_page": 1, "last_page": 5, "per_page": 15, "total": 68, "total_points_earned": 2500, "total_points_spent": 1250 }, "code": 200}